from logger import Logger
from AbstractParser import AbstractParser
from AbstractNextStage import AbstractNextStage

class ModbusParser(AbstractParser, AbstractNextStage):
    def __init__(self):
        super(ModbusParser, self).__init__()
        self.topic = "IoT/Measurement/ModbusHub"

    def execute(self, data):
        Logger.log("ModbusParser %s" % (str(data)))
        self.executeNextStage(data)